Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sql
Interface ConnectionPoolDataSource

public interface ConnectionPoolDataSource

A factory for `PooledConnection` objects. An object that implements this interface will typically be registered with a naming service that is based on the JavaTM Naming and Directory Interface (JNDI).

Since:
  1.4

Method Summary
`int` | `getLoginTimeout()` Retrieves the maximum time in seconds that this `ConnectionPoolDataSource` object will wait while attempting to connect to a database.
`PrintWriter` | `getLogWriter()` Retrieves the log writer for this `ConnectionPoolDataSource` object.
`PooledConnection` | `getPooledConnection()` Attempts to establish a physical database connection that can be used as a pooled connection.
`PooledConnection` | `getPooledConnection(String user, String password)` Attempts to establish a physical database connection that can be used as a pooled connection.
`void` | `setLoginTimeout(int seconds)` Sets the maximum time in seconds that this `ConnectionPoolDataSource` object will wait while attempting to connect to a database.
`void` | `setLogWriter(PrintWriter out)` Sets the log writer for this `ConnectionPoolDataSource` object to the given `java.io.PrintWriter` object.

Method Detail

### getPooledConnection

    public PooledConnection getPooledConnection()
                                         throws SQLException

  Attempts to establish a physical database connection that can be used as a pooled connection.

  Returns:
    a `PooledConnection` object that is a physical connection to the database that this `ConnectionPoolDataSource` object represents
  Throws:
    `SQLException` - if a database access error occurs

### getPooledConnection

    public PooledConnection getPooledConnection(String user,
                                                String password)
                                         throws SQLException

  Attempts to establish a physical database connection that can be used as a pooled connection.

  Parameters:
    `user` - the database user on whose behalf the connection is being made
    `password` - the user's password
  Returns:
    a `PooledConnection` object that is a physical connection to the database that this `ConnectionPoolDataSource` object represents
  Throws:
    `SQLException` - if a database access error occurs

### getLogWriter

    public PrintWriter getLogWriter()
                             throws SQLException

  Retrieves the log writer for this `ConnectionPoolDataSource` object.

  The log writer is a character output stream to which all logging and tracing messages for this `ConnectionPoolDataSource` object are printed. This includes messages printed by the methods of this object, messages printed by methods of other objects manufactured by this object, and so on. Messages printed to a data source- specific log writer are not printed to the log writer associated with the `java.sql.DriverManager` class. When a data source object is created, the log writer is initially null; in other words, the default is for logging to be disabled.

  Returns:
    the log writer for this `ConnectionPoolDataSource` object or `null` if logging is disabled
  Throws:
    `SQLException` - if a database access error occurs
  See Also:
    `setLogWriter(java.io.PrintWriter)`

### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws SQLException

  Sets the log writer for this `ConnectionPoolDataSource` object to the given `java.io.PrintWriter` object.

  The log writer is a character output stream to which all logging and tracing messages for this `ConnectionPoolDataSource` object are printed. This includes messages printed by the methods of this object, messages printed by methods of other objects manufactured by this object, and so on. Messages printed to a data source- specific log writer are not printed to the log writer associated with the `java.sql.Drivermanager` class. When a data source object is created, the log writer is initially null; in other words, the default is for logging to be disabled.

  Parameters:
    `out` - the new log writer; `null` to disable logging
  Throws:
    `SQLException` - if a database access error occurs
  See Also:
    `getLogWriter()`

### setLoginTimeout

    public void setLoginTimeout(int seconds)
                         throws SQLException

  Sets the maximum time in seconds that this `ConnectionPoolDataSource` object will wait while attempting to connect to a database. A value of zero specifies that the timeout is the default system timeout if there is one; otherwise, it specifies that there is no timeout. When a `ConnectionPoolDataSource` object is created, the login timeout is initially zero.

  Parameters:
    `seconds` - the data source login time limit
  Throws:
    `SQLException` - if a database access error occurs.
  See Also:
    `getLoginTimeout()`

### getLoginTimeout

    public int getLoginTimeout()
                        throws SQLException

  Retrieves the maximum time in seconds that this `ConnectionPoolDataSource` object will wait while attempting to connect to a database. A value of zero means that the timeout is the default system timeout if there is one; otherwise, it means that there is no timeout. When a `DataSource` object is created, its login timeout is initially zero.

  Returns:
    the data source login time limit
  Throws:
    `SQLException` - if a database access error occurs.
  See Also:
    `setLoginTimeout(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.